com.buschmais.jqassistant.plugin.maven3.api.model

## Interface MavenProjectDirectoryDescriptor

- All Superinterfaces:
    com.buschmais.jqassistant.core.store.api.model.Descriptor, com.buschmais.jqassistant.plugin.common.api.model.DirectoryDescriptor, com.buschmais.jqassistant.plugin.common.api.model.FileContainerDescriptor, com.buschmais.jqassistant.plugin.common.api.model.FileDescriptor, com.buschmais.jqassistant.plugin.common.api.model.FileNameDescriptor, com.buschmais.jqassistant.core.store.api.model.FullQualifiedNameDescriptor, MavenDescriptor, MavenProjectDescriptor, com.buschmais.jqassistant.core.store.api.model.NamedDescriptor

      public interface MavenProjectDirectoryDescriptor
      extends MavenProjectDescriptor, com.buschmais.jqassistant.plugin.common.api.model.DirectoryDescriptor

  Describes a maven project as it has been executed during a maven build.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<com.buschmais.jqassistant.plugin.common.api.model.ArtifactFileDescriptor>` | `getCreatesArtifacts()` Return the artifacts created by this project.
    `MavenPomXmlDescriptor` | `getModel()` Return the pom.xml file that defines this project.
    `List<MavenProjectDescriptor>` | `getModules()` Return the modules of this project.
    `MavenProjectDescriptor` | `getParent()` Return the parent of this project.
    `void` | `setModel(MavenPomXmlDescriptor model)`
    `void` | `setParent(MavenProjectDescriptor parentDescriptor)`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.maven3.api.model.MavenProjectDescriptor

      `getArtifactId, getGroupId, getPackaging, getVersion, setArtifactId, setGroupId, setPackaging, setVersion`

    - ### Methods inherited from interface com.buschmais.jqassistant.core.store.api.model.FullQualifiedNameDescriptor

      `getFullQualifiedName, setFullQualifiedName`

    - ### Methods inherited from interface com.buschmais.jqassistant.core.store.api.model.NamedDescriptor

      `getName, setName`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.common.api.model.FileContainerDescriptor

      `getContains`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.common.api.model.FileNameDescriptor

      `getFileName, setFileName`

- - ### Method Detail

    - #### getCreatesArtifacts

          @Relation(value="CREATES")
          List<com.buschmais.jqassistant.plugin.common.api.model.ArtifactFileDescriptor> getCreatesArtifacts()

      Return the artifacts created by this project.
      Returns:
        The artifacts.

    - #### getParent

          @Relation(value="HAS_PARENT")
          MavenProjectDescriptor getParent()

      Return the parent of this project.
      Returns:
        The parent.

    - #### setParent

          void setParent(MavenProjectDescriptor parentDescriptor)

    - #### getModules

          @Relation(value="HAS_MODULE")
          List<MavenProjectDescriptor> getModules()

      Return the modules of this project.
      Returns:
        The modules.

    - #### getModel

          @Relation(value="HAS_MODEL")
          MavenPomXmlDescriptor getModel()

      Return the pom.xml file that defines this project.
      Returns:
        The pom.xml file.

    - #### setModel

          void setModel(MavenPomXmlDescriptor model)

Copyright © 2015 buschmais GbR. All rights reserved.